Bug 1277619 - [abrt] gqrx: boost::throw_exception<boost::math::rounding_error>(): gqrx killed by SIGABRT
[abrt] gqrx: boost::throw_exception<boost::math::rounding_error>(): gqrx kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gqrx (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Olsthoorn
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0164ae2126a3f61ae4f18c31fc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 11:33 EST by madstitz
Modified: 2016-07-19 14:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.75 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: core_backtrace (5.90 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: dso_list (17.37 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: environ (1.59 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: maps (85.84 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: mountinfo (4.64 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: open_fds (1.53 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details
File: var_log_messages (2.26 KB, text/plain)
2015-11-03 11:33 EST, madstitz
no flags Details

  None (edit)
Description madstitz 2015-11-03 11:33:39 EST
Description of problem:
just starting with no sdr attached

Version-Release number of selected component:
gqrx-2.3.2-6.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gqrx
crash_function: boost::throw_exception<boost::math::rounding_error>
executable:     /usr/bin/gqrx
global_pid:     7381
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 boost::throw_exception<boost::math::rounding_error> at /usr/include/boost/throw_exception.hpp:69
 #7 boost::math::policies::detail::raise_error<boost::math::rounding_error, float> at /usr/include/boost/math/policies/error_handling.hpp:144
 #8 raise_rounding_error<float, float> at /usr/include/boost/math/policies/error_handling.hpp:478
 #9 raise_rounding_error<float, float, boost::math::policies::policy<boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy> > at /usr/include/boost/math/policies/error_handling.hpp:646
 #10 round<float, boost::math::policies::policy<boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy> > at /usr/include/boost/math/special_functions/round.hpp:28
 #12 iround<float, boost::math::policies::policy<boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy, boost::math::policies::default_policy> > at /usr/include/boost/math/special_functions/round.hpp:85
 #13 iround<float> at /usr/include/boost/math/special_functions/round.hpp:93
 #14 gr::filter::kernel::pfb_arb_resampler_ccf::pfb_arb_resampler_ccf at /usr/src/debug/gnuradio-3.7.7.1/gr-filter/lib/pfb_arb_resampler.cc:73
 #15 gr::filter::pfb_arb_resampler_ccf_impl::pfb_arb_resampler_ccf_impl at /usr/src/debug/gnuradio-3.7.7.1/gr-filter/lib/pfb_arb_resampler_ccf_impl.cc:53
 #16 gr::filter::pfb_arb_resampler_ccf::make at /usr/src/debug/gnuradio-3.7.7.1/gr-filter/lib/pfb_arb_resampler_ccf_impl.cc:40

Potential duplicate: bug 1095959
Comment 1 madstitz 2015-11-03 11:33:44 EST
Created attachment 1089120 [details]
File: backtrace
Comment 2 madstitz 2015-11-03 11:33:45 EST
Created attachment 1089121 [details]
File: cgroup
Comment 3 madstitz 2015-11-03 11:33:46 EST
Created attachment 1089122 [details]
File: core_backtrace
Comment 4 madstitz 2015-11-03 11:33:48 EST
Created attachment 1089123 [details]
File: dso_list
Comment 5 madstitz 2015-11-03 11:33:50 EST
Created attachment 1089124 [details]
File: environ
Comment 6 madstitz 2015-11-03 11:33:51 EST
Created attachment 1089125 [details]
File: limits
Comment 7 madstitz 2015-11-03 11:33:53 EST
Created attachment 1089126 [details]
File: maps
Comment 8 madstitz 2015-11-03 11:33:54 EST
Created attachment 1089127 [details]
File: mountinfo
Comment 9 madstitz 2015-11-03 11:33:56 EST
Created attachment 1089128 [details]
File: open_fds
Comment 10 madstitz 2015-11-03 11:33:57 EST
Created attachment 1089129 [details]
File: proc_pid_status
Comment 11 madstitz 2015-11-03 11:33:58 EST
Created attachment 1089130 [details]
File: var_log_messages
Comment 12 Dave Olsthoorn 2016-05-19 12:23:31 EDT
Is this still an issue with the new version?
Comment 13 madstitz 2016-05-30 08:06:31 EDT
sorry, can't verify, as I don't have access to the hardware (DVB-T stick) anymore.
Comment 14 Fedora End Of Life 2016-07-19 14:24:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.